org.red5.server.jmx.mxbeans

## Interface AttributeStoreMXBean

All Known Subinterfaces:
  IAttributeStore, ICastingAttributeStore, IClient, IClientSharedObject, IConnection, IRemotingConnection, IServiceCapableConnection, ISharedObject, ISharedObjectBase, IStreamCapableConnection, RTMPMinaConnectionMXBean

All Known Implementing Classes:
  ApplicationAdapter, AttributeStore, BaseConnection, BaseRTMPTConnection, Client, ClientSharedObject, MultiThreadedApplicationAdapter, PersistableAttributeStore, RemotingConnection, RTMPConnection, RTMPMinaConnection, RTMPTConnection, SharedObject, SharedObjectScope, StatefulScopeWrappingAdapter

    @MXBean
    public interface AttributeStoreMXBean

Base interface for all API objects with attributes

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)

### Method Summary

Methods
`Set<String>` `getAttributeNames()`
`boolean` `hasAttribute(String name)`
`boolean` `removeAttribute(String name)`
`void` `removeAttributes()`

### Method Detail

#### getAttributeNames

    Set<String> getAttributeNames()

#### hasAttribute

    boolean hasAttribute(String name)

#### removeAttribute

    boolean removeAttribute(String name)

#### removeAttributes

    void removeAttributes()